#!/bin/bash

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	dd if=/dev/sda5 of=/dev/null bs=1M

mke2fs -j /dev/sda5
mount /dev/sda5 /media

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	bonnie++ -d /media -s 16g -u 0

sync
umount /media
losetup /dev/loop0 /dev/sda5

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	dd if=/dev/loop0 of=/dev/null bs=1M

mke2fs -j /dev/loop0
mount /dev/loop0 /media

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	bonnie++ -d /media -s 16g -u 0

sync
umount /media
losetup -d /dev/loop0
sync
echo "0 $(blockdev --getsize /dev/sda5) linear /dev/sda5 0" \
	| dmsetup create mapped

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	dd if=/dev/mapper/mapped of=/dev/null bs=1M

mke2fs -j /dev/mapper/mapped
mount /dev/mapper/mapped /media

for n in 1 2 3; do sync; echo $n > /proc/sys/vm/drop_caches; done
/usr/bin/time -f "real = %e, user = %U, sys = %S, %P cpu" \
	ionice -c0 nice -20 \
	bonnie++ -d /media -s 16g -u 0

sync
